Skip to main content
`Ctrl`+`K`

# STGetBilinearForm

Returns the matrix used in the bilinear form with a generalized eigenproblem with semi-definite \(B\).

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetBilinearForm(ST st,Mat *B)

Logically Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameter

- B - output matrix

## Notes

The output matrix `B` must be destroyed after use. It will be `NULL` in case of standard eigenproblems.

## See Also

ST: Spectral Transformation, `BVSetMatrix()`

## Level

developer

## Location

src/sys/classes/st/interface/stsolve.c

## Implementations

STGetBilinearForm_Cayley() in src/sys/classes/st/impls/cayley/cayley.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages